cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

R5C - Firmware 1.0.6.1 discussion

chrishoesel
Enthusiast

Seems mainly to add support for the new 24-105f/2.8L IS USM Z and a bunch of Cinema lenses.  No mention of mulftifunction shoe compatibility with EL-5 Speedlites.  I'm installing it now but not really holding out hope for that functionality.

Anyone else upgrade theirs? I didn't see any thread for this new firmware.



Past Gear:
1DX, 1DXII, 1DIV, 7D, EF 2.8 Trinity, EF-500mm f/4L IS USM, EF 50mm f/1,2L II USM
Current Gear:
R5C, RP, RF15-35mm f/2.8L IS USM, RF24-105mm f/4L IS USM, RF50mm f/1.2L USM, RF100mm f/2.8L IS Macro USM, 4x 600EX-II-RT Speedlites
5 REPLIES 5

shadowsports
Legend
Legend

Hi Chris,

I have, and believe @AtticusLake has also.  New FW is not listed in the announcements section this time.    

I often start a firmware thread after an upgrade for feedback.  We can use yours 🙂

The press release did mention enhancements on the photo side, but I didn't see anything listed in the release notes.

 We all have our wishes.  My biggies remain:

***Wi-Fi support in Cinema OS using onboard chip - (biggest want)

**Better support for stabilizers (Ronin or Zhiyun) in Cinema OS

*EL-5 support (MFS)   

No rain today, so taking my camera out this afternoon.  

~Rick
Bay Area - CA


~R5 C (1.0.6.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10

~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8 ~CarePaks Are Worth It

chrishoesel
Enthusiast

If there is already a thread then there is no need for this duplicate.  (I can't find anything in this forum, it's difficult to just browse topics)  Search also yielded nothing.



Past Gear:
1DX, 1DXII, 1DIV, 7D, EF 2.8 Trinity, EF-500mm f/4L IS USM, EF 50mm f/1,2L II USM
Current Gear:
R5C, RP, RF15-35mm f/2.8L IS USM, RF24-105mm f/4L IS USM, RF50mm f/1.2L USM, RF100mm f/2.8L IS Macro USM, 4x 600EX-II-RT Speedlites

Thanks for joining the conversation, chrishoesel!  You'll find the firmware thread in question right HERE.

fitopardo
Apprentice

 upgraded Yesterday (February 20, 2024) and I think is the biggest mistake the 1.0.5.1 was fantastic, after updating to 1.0.6.1 my RF lenses L lenses (Rf 15-35 2.8 & Rf 70-200 2.8) do not work as they should work (I shoot mostly 8KSD not LT) and the IS - Enhanced Image Stabilization do not work any more There is a note that says "This function is not compatible with the current Lens" and I am lost trying to fix this problem, I tried to downgrade to the 1.0.5.1 and I couldn't, I tried everything and no luck, my only solution now is making CANON aware of the bug and let them fix in a soon to be release new Firmware PLEASE! 

I found an issue, both my lenses were not updated I updated them and it fixed partially the setting still there is a IS section that before the 1.0.6.1 worked, and now it says still  "This function is not compatible with the current Lens", but at least it works partially 

Avatar
click here to view the press release
Announcements